SDL_MinimizeWindow(3)

NAME
SDL_MinimizeWindow - Request that the window be minimized to an iconic representation.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_MinimizeWindow(SDL_Window *window);

DESCRIPTION
If the window is in a fullscreen state, this request has no direct effect. It may alter the state the window is returned to when leaving fullscreen.

On some windowing systems this request is asynchronous and the new window state may not have been applied immediately upon the return of this function. If an immediate change is required, call SDL_SyncWindow() to block until the changes have taken effect.

When the window state changes, an SDL_EVENT_WINDOW_MINIMIZED event will be emitted. Note that, as this is just a request, the windowing system can deny the state change.

FUNCTION PARAMETERS

window
    the window to minimize.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_MaximizeWindow(3), SDL_RestoreWindow(3), SDL_SyncWindow(3)